\section{Conclusion and future works}
\label{sec_conclusion}
In this paper, we showed the issues of memory consolidation \textit{vs.} memory performance isolation for existing mechanisms with containers.
Our experiments showed without limits, there is a weak memory consolidation, but no memory performance isolation since containers have the same memory footprints.
The \texttt{max} limit offers memory performance isolation but consolidation is impeded.
The \texttt{soft} limit, which activates only under memory pressure, acts similarly to the \texttt{max} limit.

In future work, we will extend the \texttt{soft} limit mechanism to consolidate memory.
Our mechanism will be based on applicative probe to give information about containers performance to the kernel.